Merge pull request #5038

0b17964 Bugfix: Replace bashisms with standard sh in tests/tools (Luke Dashjr)
ab72068 Bugfix: Replace bashisms with standard sh in gitian descriptors (Luke Dashjr)
b77b4ed Bugfix: Replace bashisms with standard sh to fix build on non-BASH systems (Luke Dashjr)
d6b0539 travis: add non-default shell testing to travis. (Cory Fields)
This commit is contained in:
Wladimir J. van der Laan 2014-10-07 08:51:43 +02:00
commit d4b571a5d3
No known key found for this signature in database
GPG Key ID: 74810B012346C9A6
14 changed files with 65 additions and 61 deletions

View File

@ -31,7 +31,7 @@ matrix:
- compiler: "true 3" - compiler: "true 3"
env: HOST=x86_64-unknown-linux-gnu DEP_OPTS="NO_WALLET=1" RUN_TESTS=true GOAL="install" BITCOIN_CONFIG="--enable-glibc-back-compat" env: HOST=x86_64-unknown-linux-gnu DEP_OPTS="NO_WALLET=1" RUN_TESTS=true GOAL="install" BITCOIN_CONFIG="--enable-glibc-back-compat"
- compiler: "true 4" - compiler: "true 4"
env: HOST=i686-pc-linux-gnu PACKAGES="g++-multilib" RUN_TESTS=true GOAL="install" BITCOIN_CONFIG="--enable-glibc-back-compat" env: HOST=i686-pc-linux-gnu PACKAGES="g++-multilib" RUN_TESTS=true GOAL="install" BITCOIN_CONFIG="--enable-glibc-back-compat" USE_SHELL="/bin/dash"
- compiler: "true 5" - compiler: "true 5"
env: HOST=x86_64-apple-darwin11 PACKAGES="gcc-multilib g++-multilib cmake libcap-dev libz-dev libbz2-dev" OSX_SDK=10.7 GOAL="deploy" env: HOST=x86_64-apple-darwin11 PACKAGES="gcc-multilib g++-multilib cmake libcap-dev libz-dev libbz2-dev" OSX_SDK=10.7 GOAL="deploy"
- compiler: "true 6" - compiler: "true 6"
@ -48,11 +48,12 @@ before_script:
- if [ -n "$OSX_SDK" -a -f depends/sdk-sources/MacOSX${OSX_SDK}.sdk.tar.gz ]; then tar -C depends/SDKs -xf depends/sdk-sources/MacOSX${OSX_SDK}.sdk.tar.gz; fi - if [ -n "$OSX_SDK" -a -f depends/sdk-sources/MacOSX${OSX_SDK}.sdk.tar.gz ]; then tar -C depends/SDKs -xf depends/sdk-sources/MacOSX${OSX_SDK}.sdk.tar.gz; fi
- make $MAKEJOBS -C depends HOST=$HOST $DEP_OPTS || (echo "Build failure. Verbose build follows." && make -C depends V=1 HOST=$HOST $DEP_OPTS) - make $MAKEJOBS -C depends HOST=$HOST $DEP_OPTS || (echo "Build failure. Verbose build follows." && make -C depends V=1 HOST=$HOST $DEP_OPTS)
script: script:
- if [ -n "$USE_SHELL" ]; then export CONFIG_SHELL="$USE_SHELL"; fi
- OUTDIR=$BASE_OUTDIR/$TRAVIS_PULL_REQUEST/$TRAVIS_JOB_NUMBER-$HOST - OUTDIR=$BASE_OUTDIR/$TRAVIS_PULL_REQUEST/$TRAVIS_JOB_NUMBER-$HOST
- BITCOIN_CONFIG_ALL="--disable-dependency-tracking --prefix=$TRAVIS_BUILD_DIR/depends/$HOST --bindir=$OUTDIR/bin --libdir=$OUTDIR/lib" - BITCOIN_CONFIG_ALL="--disable-dependency-tracking --prefix=$TRAVIS_BUILD_DIR/depends/$HOST --bindir=$OUTDIR/bin --libdir=$OUTDIR/lib"
- depends/$HOST/native/bin/ccache --max-size=$CCACHE_SIZE - depends/$HOST/native/bin/ccache --max-size=$CCACHE_SIZE
- if [ "$TRAVIS_PULL_REQUEST" != "false" ]; then export CCACHE_READONLY=1; fi - if [ "$TRAVIS_PULL_REQUEST" != "false" ]; then export CCACHE_READONLY=1; fi
- ./autogen.sh - test -n "$USE_SHELL" && eval '"$USE_SHELL" -c "./autogen.sh"' || ./autogen.sh
- ./configure --cache-file=config.cache $BITCOIN_CONFIG_ALL $BITCOIN_CONFIG || ( cat config.log && false) - ./configure --cache-file=config.cache $BITCOIN_CONFIG_ALL $BITCOIN_CONFIG || ( cat config.log && false)
- make distdir PACKAGE=bitcoin VERSION=$HOST - make distdir PACKAGE=bitcoin VERSION=$HOST
- cd bitcoin-$HOST - cd bitcoin-$HOST

View File

@ -3,6 +3,7 @@ set -e
srcdir="$(dirname $0)" srcdir="$(dirname $0)"
cd "$srcdir" cd "$srcdir"
if [ -z ${LIBTOOLIZE} ] && GLIBTOOLIZE="`which glibtoolize 2>/dev/null`"; then if [ -z ${LIBTOOLIZE} ] && GLIBTOOLIZE="`which glibtoolize 2>/dev/null`"; then
export LIBTOOLIZE="${GLIBTOOLIZE}" LIBTOOLIZE="${GLIBTOOLIZE}"
export LIBTOOLIZE
fi fi
autoreconf --install --force --warnings=all autoreconf --install --force --warnings=all

View File

@ -84,7 +84,7 @@ dnl Outputs: bitcoin_enable_qt, bitcoin_enable_qt_dbus, bitcoin_enable_qt_test
AC_DEFUN([BITCOIN_QT_CONFIGURE],[ AC_DEFUN([BITCOIN_QT_CONFIGURE],[
use_pkgconfig=$1 use_pkgconfig=$1
if test x$use_pkgconfig == x; then if test x$use_pkgconfig = x; then
use_pkgconfig=yes use_pkgconfig=yes
fi fi
@ -106,9 +106,9 @@ AC_DEFUN([BITCOIN_QT_CONFIGURE],[
BITCOIN_QT_CHECK([ BITCOIN_QT_CHECK([
TEMP_CPPFLAGS=$CPPFLAGS TEMP_CPPFLAGS=$CPPFLAGS
CPPFLAGS=$QT_INCLUDES CPPFLAGS=$QT_INCLUDES
if test x$bitcoin_qt_got_major_vers == x5; then if test x$bitcoin_qt_got_major_vers = x5; then
_BITCOIN_QT_IS_STATIC _BITCOIN_QT_IS_STATIC
if test x$bitcoin_cv_static_qt == xyes; then if test x$bitcoin_cv_static_qt = xyes; then
AC_DEFINE(QT_STATICPLUGIN, 1, [Define this symbol if qt plugins are static]) AC_DEFINE(QT_STATICPLUGIN, 1, [Define this symbol if qt plugins are static])
if test x$qt_plugin_path != x; then if test x$qt_plugin_path != x; then
QT_LIBS="$QT_LIBS -L$qt_plugin_path/accessible" QT_LIBS="$QT_LIBS -L$qt_plugin_path/accessible"
@ -118,14 +118,14 @@ AC_DEFUN([BITCOIN_QT_CONFIGURE],[
PKG_CHECK_MODULES([QTPLATFORM], [Qt5PlatformSupport], [QT_LIBS="$QTPLATFORM_LIBS $QT_LIBS"]) PKG_CHECK_MODULES([QTPLATFORM], [Qt5PlatformSupport], [QT_LIBS="$QTPLATFORM_LIBS $QT_LIBS"])
fi fi
_BITCOIN_QT_CHECK_STATIC_PLUGINS([Q_IMPORT_PLUGIN(AccessibleFactory)], [-lqtaccessiblewidgets]) _BITCOIN_QT_CHECK_STATIC_PLUGINS([Q_IMPORT_PLUGIN(AccessibleFactory)], [-lqtaccessiblewidgets])
if test x$TARGET_OS == xwindows; then if test x$TARGET_OS = xwindows; then
_BITCOIN_QT_CHECK_STATIC_PLUGINS([Q_IMPORT_PLUGIN(QWindowsIntegrationPlugin)],[-lqwindows]) _BITCOIN_QT_CHECK_STATIC_PLUGINS([Q_IMPORT_PLUGIN(QWindowsIntegrationPlugin)],[-lqwindows])
AC_DEFINE(QT_QPA_PLATFORM_WINDOWS, 1, [Define this symbol if the qt platform is windows]) AC_DEFINE(QT_QPA_PLATFORM_WINDOWS, 1, [Define this symbol if the qt platform is windows])
elif test x$TARGET_OS == xlinux; then elif test x$TARGET_OS = xlinux; then
PKG_CHECK_MODULES([X11XCB], [x11-xcb], [QT_LIBS="$X11XCB_LIBS $QT_LIBS"]) PKG_CHECK_MODULES([X11XCB], [x11-xcb], [QT_LIBS="$X11XCB_LIBS $QT_LIBS"])
_BITCOIN_QT_CHECK_STATIC_PLUGINS([Q_IMPORT_PLUGIN(QXcbIntegrationPlugin)],[-lqxcb -lxcb-static]) _BITCOIN_QT_CHECK_STATIC_PLUGINS([Q_IMPORT_PLUGIN(QXcbIntegrationPlugin)],[-lqxcb -lxcb-static])
AC_DEFINE(QT_QPA_PLATFORM_XCB, 1, [Define this symbol if the qt platform is xcb]) AC_DEFINE(QT_QPA_PLATFORM_XCB, 1, [Define this symbol if the qt platform is xcb])
elif test x$TARGET_OS == xdarwin; then elif test x$TARGET_OS = xdarwin; then
if test x$use_pkgconfig = xyes; then if test x$use_pkgconfig = xyes; then
PKG_CHECK_MODULES([QTPRINT], [Qt5PrintSupport], [QT_LIBS="$QTPRINT_LIBS $QT_LIBS"]) PKG_CHECK_MODULES([QTPRINT], [Qt5PrintSupport], [QT_LIBS="$QTPRINT_LIBS $QT_LIBS"])
fi fi
@ -135,7 +135,7 @@ AC_DEFUN([BITCOIN_QT_CONFIGURE],[
fi fi
fi fi
else else
if test x$TARGET_OS == xwindows; then if test x$TARGET_OS = xwindows; then
AC_DEFINE(QT_STATICPLUGIN, 1, [Define this symbol if qt plugins are static]) AC_DEFINE(QT_STATICPLUGIN, 1, [Define this symbol if qt plugins are static])
if test x$qt_plugin_path != x; then if test x$qt_plugin_path != x; then
QT_LIBS="$QT_LIBS -L$qt_plugin_path/accessible" QT_LIBS="$QT_LIBS -L$qt_plugin_path/accessible"
@ -196,7 +196,7 @@ AC_DEFUN([BITCOIN_QT_CONFIGURE],[
if test x$use_dbus = xyes && test x$have_qt_dbus = xno; then if test x$use_dbus = xyes && test x$have_qt_dbus = xno; then
AC_MSG_ERROR("libQtDBus not found. Install libQtDBus or remove --with-qtdbus.") AC_MSG_ERROR("libQtDBus not found. Install libQtDBus or remove --with-qtdbus.")
fi fi
if test x$LUPDATE == x; then if test x$LUPDATE = x; then
AC_MSG_WARN("lupdate is required to update qt translations") AC_MSG_WARN("lupdate is required to update qt translations")
fi fi
],[ ],[
@ -291,10 +291,10 @@ dnl Outputs: have_qt_test and have_qt_dbus are set (if applicable) to yes|no.
AC_DEFUN([_BITCOIN_QT_FIND_LIBS_WITH_PKGCONFIG],[ AC_DEFUN([_BITCOIN_QT_FIND_LIBS_WITH_PKGCONFIG],[
m4_ifdef([PKG_CHECK_MODULES],[ m4_ifdef([PKG_CHECK_MODULES],[
auto_priority_version=$1 auto_priority_version=$1
if test x$auto_priority_version == x; then if test x$auto_priority_version = x; then
auto_priority_version=qt5 auto_priority_version=qt5
fi fi
if test x$bitcoin_qt_want_version == xqt5 || ( test x$bitcoin_qt_want_version == xauto && test x$auto_priority_version == xqt5 ); then if test x$bitcoin_qt_want_version = xqt5 || ( test x$bitcoin_qt_want_version = xauto && test x$auto_priority_version = xqt5 ); then
QT_LIB_PREFIX=Qt5 QT_LIB_PREFIX=Qt5
bitcoin_qt_got_major_vers=5 bitcoin_qt_got_major_vers=5
else else
@ -304,14 +304,14 @@ AC_DEFUN([_BITCOIN_QT_FIND_LIBS_WITH_PKGCONFIG],[
qt5_modules="Qt5Core Qt5Gui Qt5Network Qt5Widgets" qt5_modules="Qt5Core Qt5Gui Qt5Network Qt5Widgets"
qt4_modules="QtCore QtGui QtNetwork" qt4_modules="QtCore QtGui QtNetwork"
BITCOIN_QT_CHECK([ BITCOIN_QT_CHECK([
if test x$bitcoin_qt_want_version == xqt5 || ( test x$bitcoin_qt_want_version == xauto && test x$auto_priority_version == xqt5 ); then if test x$bitcoin_qt_want_version = xqt5 || ( test x$bitcoin_qt_want_version = xauto && test x$auto_priority_version = xqt5 ); then
PKG_CHECK_MODULES([QT], [$qt5_modules], [QT_INCLUDES="$QT_CFLAGS"; have_qt=yes],[have_qt=no]) PKG_CHECK_MODULES([QT], [$qt5_modules], [QT_INCLUDES="$QT_CFLAGS"; have_qt=yes],[have_qt=no])
elif test x$bitcoin_qt_want_version == xqt4 || ( test x$bitcoin_qt_want_version == xauto && test x$auto_priority_version == xqt4 ); then elif test x$bitcoin_qt_want_version = xqt4 || ( test x$bitcoin_qt_want_version = xauto && test x$auto_priority_version = xqt4 ); then
PKG_CHECK_MODULES([QT], [$qt4_modules], [QT_INCLUDES="$QT_CFLAGS"; have_qt=yes], [have_qt=no]) PKG_CHECK_MODULES([QT], [$qt4_modules], [QT_INCLUDES="$QT_CFLAGS"; have_qt=yes], [have_qt=no])
fi fi
dnl qt version is set to 'auto' and the preferred version wasn't found. Now try the other. dnl qt version is set to 'auto' and the preferred version wasn't found. Now try the other.
if test x$have_qt == xno && test x$bitcoin_qt_want_version == xauto; then if test x$have_qt = xno && test x$bitcoin_qt_want_version = xauto; then
if test x$auto_priority_version = x$qt5; then if test x$auto_priority_version = x$qt5; then
PKG_CHECK_MODULES([QT], [$qt4_modules], [QT_INCLUDES="$QT_CFLAGS"; have_qt=yes; QT_LIB_PREFIX=Qt; bitcoin_qt_got_major_vers=4], [have_qt=no]) PKG_CHECK_MODULES([QT], [$qt4_modules], [QT_INCLUDES="$QT_CFLAGS"; have_qt=yes; QT_LIB_PREFIX=Qt; bitcoin_qt_got_major_vers=4], [have_qt=no])
else else
@ -358,7 +358,7 @@ AC_DEFUN([_BITCOIN_QT_FIND_LIBS_WITHOUT_PKGCONFIG],[
if test x$bitcoin_qt_want_version = xauto; then if test x$bitcoin_qt_want_version = xauto; then
_BITCOIN_QT_CHECK_QT5 _BITCOIN_QT_CHECK_QT5
fi fi
if test x$bitcoin_cv_qt5 == xyes || test x$bitcoin_qt_want_version = xqt5; then if test x$bitcoin_cv_qt5 = xyes || test x$bitcoin_qt_want_version = xqt5; then
QT_LIB_PREFIX=Qt5 QT_LIB_PREFIX=Qt5
bitcoin_qt_got_major_vers=5 bitcoin_qt_got_major_vers=5
else else
@ -373,7 +373,7 @@ AC_DEFUN([_BITCOIN_QT_FIND_LIBS_WITHOUT_PKGCONFIG],[
LIBS="$LIBS -L$qt_lib_path" LIBS="$LIBS -L$qt_lib_path"
fi fi
if test x$TARGET_OS == xwindows; then if test x$TARGET_OS = xwindows; then
AC_CHECK_LIB([imm32], [main],, BITCOIN_QT_FAIL(libimm32 not found)) AC_CHECK_LIB([imm32], [main],, BITCOIN_QT_FAIL(libimm32 not found))
fi fi
]) ])
@ -385,7 +385,7 @@ AC_DEFUN([_BITCOIN_QT_FIND_LIBS_WITHOUT_PKGCONFIG],[
BITCOIN_QT_CHECK(AC_CHECK_LIB([${QT_LIB_PREFIX}Core] ,[main],,BITCOIN_QT_FAIL(lib$QT_LIB_PREFIXCore not found))) BITCOIN_QT_CHECK(AC_CHECK_LIB([${QT_LIB_PREFIX}Core] ,[main],,BITCOIN_QT_FAIL(lib$QT_LIB_PREFIXCore not found)))
BITCOIN_QT_CHECK(AC_CHECK_LIB([${QT_LIB_PREFIX}Gui] ,[main],,BITCOIN_QT_FAIL(lib$QT_LIB_PREFIXGui not found))) BITCOIN_QT_CHECK(AC_CHECK_LIB([${QT_LIB_PREFIX}Gui] ,[main],,BITCOIN_QT_FAIL(lib$QT_LIB_PREFIXGui not found)))
BITCOIN_QT_CHECK(AC_CHECK_LIB([${QT_LIB_PREFIX}Network],[main],,BITCOIN_QT_FAIL(lib$QT_LIB_PREFIXNetwork not found))) BITCOIN_QT_CHECK(AC_CHECK_LIB([${QT_LIB_PREFIX}Network],[main],,BITCOIN_QT_FAIL(lib$QT_LIB_PREFIXNetwork not found)))
if test x$bitcoin_qt_got_major_vers == x5; then if test x$bitcoin_qt_got_major_vers = x5; then
BITCOIN_QT_CHECK(AC_CHECK_LIB([${QT_LIB_PREFIX}Widgets],[main],,BITCOIN_QT_FAIL(lib$QT_LIB_PREFIXWidgets not found))) BITCOIN_QT_CHECK(AC_CHECK_LIB([${QT_LIB_PREFIX}Widgets],[main],,BITCOIN_QT_FAIL(lib$QT_LIB_PREFIXWidgets not found)))
fi fi
QT_LIBS="$LIBS" QT_LIBS="$LIBS"

View File

@ -250,14 +250,16 @@ case $host in
bdb_prefix=`$BREW --prefix berkeley-db4 2>/dev/null` bdb_prefix=`$BREW --prefix berkeley-db4 2>/dev/null`
qt5_prefix=`$BREW --prefix qt5 2>/dev/null` qt5_prefix=`$BREW --prefix qt5 2>/dev/null`
if test x$openssl_prefix != x; then if test x$openssl_prefix != x; then
export PKG_CONFIG_PATH="$openssl_prefix/lib/pkgconfig:$PKG_CONFIG_PATH" PKG_CONFIG_PATH="$openssl_prefix/lib/pkgconfig:$PKG_CONFIG_PATH"
export PKG_CONFIG_PATH
fi fi
if test x$bdb_prefix != x; then if test x$bdb_prefix != x; then
CPPFLAGS="$CPPFLAGS -I$bdb_prefix/include" CPPFLAGS="$CPPFLAGS -I$bdb_prefix/include"
LIBS="$LIBS -L$bdb_prefix/lib" LIBS="$LIBS -L$bdb_prefix/lib"
fi fi
if test x$qt5_prefix != x; then if test x$qt5_prefix != x; then
export PKG_CONFIG_PATH="$qt5_prefix/lib/pkgconfig:$PKG_CONFIG_PATH" PKG_CONFIG_PATH="$qt5_prefix/lib/pkgconfig:$PKG_CONFIG_PATH"
export PKG_CONFIG_PATH
fi fi
fi fi
else else
@ -287,7 +289,7 @@ if test x$use_comparison_tool != xno; then
fi fi
if test x$use_comparison_tool_reorg_tests != xno; then if test x$use_comparison_tool_reorg_tests != xno; then
if test x$use_comparison_tool == x; then if test x$use_comparison_tool = x; then
AC_MSG_ERROR("comparison tool reorg tests but comparison tool was not specified") AC_MSG_ERROR("comparison tool reorg tests but comparison tool was not specified")
fi fi
AC_SUBST(COMPARISON_TOOL_REORG_TESTS, 1) AC_SUBST(COMPARISON_TOOL_REORG_TESTS, 1)
@ -295,20 +297,20 @@ else
AC_SUBST(COMPARISON_TOOL_REORG_TESTS, 0) AC_SUBST(COMPARISON_TOOL_REORG_TESTS, 0)
fi fi
if test x$use_lcov == xyes; then if test x$use_lcov = xyes; then
if test x$LCOV == x; then if test x$LCOV = x; then
AC_MSG_ERROR("lcov testing requested but lcov not found") AC_MSG_ERROR("lcov testing requested but lcov not found")
fi fi
if test x$GCOV == x; then if test x$GCOV = x; then
AC_MSG_ERROR("lcov testing requested but gcov not found") AC_MSG_ERROR("lcov testing requested but gcov not found")
fi fi
if test x$JAVA == x; then if test x$JAVA = x; then
AC_MSG_ERROR("lcov testing requested but java not found") AC_MSG_ERROR("lcov testing requested but java not found")
fi fi
if test x$GENHTML == x; then if test x$GENHTML = x; then
AC_MSG_ERROR("lcov testing requested but genhtml not found") AC_MSG_ERROR("lcov testing requested but genhtml not found")
fi fi
if test x$use_comparison_tool == x; then if test x$use_comparison_tool = x; then
AC_MSG_ERROR("lcov testing requested but comparison tool was not specified") AC_MSG_ERROR("lcov testing requested but comparison tool was not specified")
fi fi
LCOV="$LCOV --gcov-tool=$GCOV" LCOV="$LCOV --gcov-tool=$GCOV"
@ -607,7 +609,7 @@ BITCOIN_QT_INIT
if test x$use_pkgconfig = xyes; then if test x$use_pkgconfig = xyes; then
if test x"$PKG_CONFIG" == "x"; then if test x"$PKG_CONFIG" = "x"; then
AC_MSG_ERROR(pkg-config not found.) AC_MSG_ERROR(pkg-config not found.)
fi fi
@ -721,7 +723,7 @@ if test x$bitcoin_enable_qt != xno; then
dnl enable qr support dnl enable qr support
AC_MSG_CHECKING([whether to build GUI with support for QR codes]) AC_MSG_CHECKING([whether to build GUI with support for QR codes])
if test x$have_qrencode = xno; then if test x$have_qrencode = xno; then
if test x$use_qr == xyes; then if test x$use_qr = xyes; then
AC_MSG_ERROR("QR support requested but cannot be built. use --without-qrencode") AC_MSG_ERROR("QR support requested but cannot be built. use --without-qrencode")
fi fi
AC_MSG_RESULT(no) AC_MSG_RESULT(no)
@ -735,7 +737,7 @@ if test x$bitcoin_enable_qt != xno; then
fi fi
fi fi
if test x$XGETTEXT == x; then if test x$XGETTEXT = x; then
AC_MSG_WARN("xgettext is required to update qt translations") AC_MSG_WARN("xgettext is required to update qt translations")
fi fi
@ -770,12 +772,12 @@ fi
AM_CONDITIONAL([TARGET_DARWIN], [test x$TARGET_OS = xdarwin]) AM_CONDITIONAL([TARGET_DARWIN], [test x$TARGET_OS = xdarwin])
AM_CONDITIONAL([BUILD_DARWIN], [test x$BUILD_OS = xdarwin]) AM_CONDITIONAL([BUILD_DARWIN], [test x$BUILD_OS = xdarwin])
AM_CONDITIONAL([TARGET_WINDOWS], [test x$TARGET_OS = xwindows]) AM_CONDITIONAL([TARGET_WINDOWS], [test x$TARGET_OS = xwindows])
AM_CONDITIONAL([ENABLE_WALLET],[test x$enable_wallet == xyes]) AM_CONDITIONAL([ENABLE_WALLET],[test x$enable_wallet = xyes])
AM_CONDITIONAL([ENABLE_TESTS],[test x$use_tests == xyes]) AM_CONDITIONAL([ENABLE_TESTS],[test x$use_tests = xyes])
AM_CONDITIONAL([ENABLE_QT],[test x$bitcoin_enable_qt == xyes]) AM_CONDITIONAL([ENABLE_QT],[test x$bitcoin_enable_qt = xyes])
AM_CONDITIONAL([ENABLE_QT_TESTS],[test x$use_tests$bitcoin_enable_qt_test = xyesyes]) AM_CONDITIONAL([ENABLE_QT_TESTS],[test x$use_tests$bitcoin_enable_qt_test = xyesyes])
AM_CONDITIONAL([USE_QRCODE], [test x$use_qr = xyes]) AM_CONDITIONAL([USE_QRCODE], [test x$use_qr = xyes])
AM_CONDITIONAL([USE_LCOV],[test x$use_lcov == xyes]) AM_CONDITIONAL([USE_LCOV],[test x$use_lcov = xyes])
AM_CONDITIONAL([USE_COMPARISON_TOOL],[test x$use_comparison_tool != xno]) AM_CONDITIONAL([USE_COMPARISON_TOOL],[test x$use_comparison_tool != xno])
AM_CONDITIONAL([USE_COMPARISON_TOOL_REORG_TESTS],[test x$use_comparison_tool_reorg_test != xno]) AM_CONDITIONAL([USE_COMPARISON_TOOL_REORG_TESTS],[test x$use_comparison_tool_reorg_test != xno])
AM_CONDITIONAL([GLIBC_BACK_COMPAT],[test x$use_glibc_compat = xyes]) AM_CONDITIONAL([GLIBC_BACK_COMPAT],[test x$use_glibc_compat = xyes])

View File

@ -13,7 +13,7 @@
# name $BRANCH is overwritten with the merged result, and optionally pushed. # name $BRANCH is overwritten with the merged result, and optionally pushed.
REPO="$(git config --get githubmerge.repository)" REPO="$(git config --get githubmerge.repository)"
if [[ "d$REPO" == "d" ]]; then if [ "d$REPO" = "d" ]; then
echo "ERROR: No repository configured. Use this command to set:" >&2 echo "ERROR: No repository configured. Use this command to set:" >&2
echo "git config githubmerge.repository <owner>/<repo>" >&2 echo "git config githubmerge.repository <owner>/<repo>" >&2
echo "In addition, you can set the following variables:" >&2 echo "In addition, you can set the following variables:" >&2
@ -24,12 +24,12 @@ if [[ "d$REPO" == "d" ]]; then
fi fi
HOST="$(git config --get githubmerge.host)" HOST="$(git config --get githubmerge.host)"
if [[ "d$HOST" == "d" ]]; then if [ "d$HOST" = "d" ]; then
HOST="git@github.com" HOST="git@github.com"
fi fi
BRANCH="$(git config --get githubmerge.branch)" BRANCH="$(git config --get githubmerge.branch)"
if [[ "d$BRANCH" == "d" ]]; then if [ "d$BRANCH" = "d" ]; then
BRANCH="master" BRANCH="master"
fi fi
@ -37,12 +37,12 @@ TESTCMD="$(git config --get githubmerge.testcmd)"
PULL="$1" PULL="$1"
if [[ "d$PULL" == "d" ]]; then if [ "d$PULL" = "d" ]; then
echo "Usage: $0 pullnumber [branch]" >&2 echo "Usage: $0 pullnumber [branch]" >&2
exit 2 exit 2
fi fi
if [[ "d$2" != "d" ]]; then if [ "d$2" != "d" ]; then
BRANCH="$2" BRANCH="$2"
fi fi
@ -101,7 +101,7 @@ else
fi fi
# Run test command if configured. # Run test command if configured.
if [[ "d$TESTCMD" != "d" ]]; then if [ "d$TESTCMD" != "d" ]; then
# Go up to the repository's root. # Go up to the repository's root.
while [ ! -d .git ]; do cd ..; done while [ ! -d .git ]; do cd ..; done
if ! $TESTCMD; then if ! $TESTCMD; then
@ -112,10 +112,10 @@ if [[ "d$TESTCMD" != "d" ]]; then
# Show the created merge. # Show the created merge.
git diff pull/"$PULL"/merge..pull/"$PULL"/local-merge >"$TMPDIR"/diff git diff pull/"$PULL"/merge..pull/"$PULL"/local-merge >"$TMPDIR"/diff
git diff pull/"$PULL"/base..pull/"$PULL"/local-merge git diff pull/"$PULL"/base..pull/"$PULL"/local-merge
if [[ "$(<"$TMPDIR"/diff)" != "" ]]; then if [ "$(<"$TMPDIR"/diff)" != "" ]; then
echo "WARNING: merge differs from github!" >&2 echo "WARNING: merge differs from github!" >&2
read -p "Type 'ignore' to continue. " -r >&2 read -p "Type 'ignore' to continue. " -r >&2
if [[ "d$REPLY" =~ ^d[iI][gG][nN][oO][rR][eE]$ ]]; then if [ "d$REPLY" =~ ^d[iI][gG][nN][oO][rR][eE]$ ]; then
echo "Difference with github ignored." >&2 echo "Difference with github ignored." >&2
else else
cleanup cleanup
@ -124,7 +124,7 @@ if [[ "d$TESTCMD" != "d" ]]; then
fi fi
read -p "Press 'd' to accept the diff. " -n 1 -r >&2 read -p "Press 'd' to accept the diff. " -n 1 -r >&2
echo echo
if [[ "d$REPLY" =~ ^d[dD]$ ]]; then if [ "d$REPLY" =~ ^d[dD]$ ]; then
echo "Diff accepted." >&2 echo "Diff accepted." >&2
else else
echo "ERROR: Diff rejected." >&2 echo "ERROR: Diff rejected." >&2
@ -139,7 +139,7 @@ else
bash -i bash -i
read -p "Press 'm' to accept the merge. " -n 1 -r >&2 read -p "Press 'm' to accept the merge. " -n 1 -r >&2
echo echo
if [[ "d$REPLY" =~ ^d[Mm]$ ]]; then if [ "d$REPLY" =~ ^d[Mm]$ ]; then
echo "Merge accepted." >&2 echo "Merge accepted." >&2
else else
echo "ERROR: Merge rejected." >&2 echo "ERROR: Merge rejected." >&2
@ -151,8 +151,8 @@ fi
# Sign the merge commit. # Sign the merge commit.
read -p "Press 's' to sign off on the merge. " -n 1 -r >&2 read -p "Press 's' to sign off on the merge. " -n 1 -r >&2
echo echo
if [[ "d$REPLY" =~ ^d[Ss]$ ]]; then if [ "d$REPLY" =~ ^d[Ss]$ ]; then
if [[ "$(git config --get user.signingkey)" == "" ]]; then if [ "$(git config --get user.signingkey)" = "" ]; then
echo "WARNING: No GPG signing key set, not signing. Set one using:" >&2 echo "WARNING: No GPG signing key set, not signing. Set one using:" >&2
echo "git config --global user.signingkey <key>" >&2 echo "git config --global user.signingkey <key>" >&2
git commit -q --signoff --amend --no-edit git commit -q --signoff --amend --no-edit
@ -168,6 +168,6 @@ cleanup
# Push the result. # Push the result.
read -p "Type 'push' to push the result to $HOST:$REPO, branch $BRANCH. " -r >&2 read -p "Type 'push' to push the result to $HOST:$REPO, branch $BRANCH. " -r >&2
if [[ "d$REPLY" =~ ^d[Pp][Uu][Ss][Hh]$ ]]; then if [ "d$REPLY" =~ ^d[Pp][Uu][Ss][Hh]$ ]; then
git push "$HOST":"$REPO" refs/heads/"$BRANCH" git push "$HOST":"$REPO" refs/heads/"$BRANCH"
fi fi

View File

@ -29,7 +29,7 @@ script: |
# #
INSTALLPREFIX=$HOME/staging${BITS} INSTALLPREFIX=$HOME/staging${BITS}
BUILDDIR=$HOME/build${BITS} BUILDDIR=$HOME/build${BITS}
if [ "$BITS" == "32" ]; then if [ "x$BITS" = "x32" ]; then
HOST=i686-w64-mingw32 HOST=i686-w64-mingw32
else else
HOST=x86_64-w64-mingw32 HOST=x86_64-w64-mingw32

View File

@ -39,7 +39,7 @@ script: |
# #
INSTALLPREFIX=$HOME/staging${BITS} INSTALLPREFIX=$HOME/staging${BITS}
BUILDDIR=$HOME/build${BITS} BUILDDIR=$HOME/build${BITS}
if [ "$BITS" == "32" ]; then if [ "x$BITS" = "x32" ]; then
HOST=i686-w64-mingw32 HOST=i686-w64-mingw32
else else
HOST=x86_64-w64-mingw32 HOST=x86_64-w64-mingw32
@ -50,7 +50,7 @@ script: |
# #
tar xzf $INDIR/openssl-1.0.1h.tar.gz tar xzf $INDIR/openssl-1.0.1h.tar.gz
cd openssl-1.0.1h cd openssl-1.0.1h
if [ "$BITS" == "32" ]; then if [ "x$BITS" = "x32" ]; then
OPENSSL_TGT=mingw OPENSSL_TGT=mingw
else else
OPENSSL_TGT=mingw64 OPENSSL_TGT=mingw64

View File

@ -50,7 +50,7 @@ script: |
STAGING=$HOME/staging${BITS} STAGING=$HOME/staging${BITS}
BUILDDIR=$HOME/build${BITS} BUILDDIR=$HOME/build${BITS}
BINDIR=$OUTDIR/$BITS BINDIR=$OUTDIR/$BITS
if [ "$BITS" == "32" ]; then if [ "x$BITS" = "x32" ]; then
HOST=i686-w64-mingw32 HOST=i686-w64-mingw32
else else
HOST=x86_64-w64-mingw32 HOST=x86_64-w64-mingw32
@ -63,7 +63,7 @@ script: |
unzip $INDIR/boost-win${BITS}-1.55.0-gitian-r6.zip unzip $INDIR/boost-win${BITS}-1.55.0-gitian-r6.zip
unzip $INDIR/bitcoin-deps-win${BITS}-gitian-r13.zip unzip $INDIR/bitcoin-deps-win${BITS}-gitian-r13.zip
unzip $INDIR/protobuf-win${BITS}-2.5.0-gitian-r4.zip unzip $INDIR/protobuf-win${BITS}-2.5.0-gitian-r4.zip
if [ "$NEEDDIST" == "1" ]; then if [ "x$NEEDDIST" = "x1" ]; then
# Make source code archive which is architecture independent so it only needs to be done once # Make source code archive which is architecture independent so it only needs to be done once
cd $HOME/build/bitcoin cd $HOME/build/bitcoin
./autogen.sh ./autogen.sh

View File

@ -26,7 +26,7 @@ script: |
# #
INSTALLPREFIX=$HOME/staging${BITS} INSTALLPREFIX=$HOME/staging${BITS}
BUILDDIR=$HOME/build${BITS} BUILDDIR=$HOME/build${BITS}
if [ "$BITS" == "32" ]; then if [ "x$BITS" = "x32" ]; then
HOST=i686-w64-mingw32 HOST=i686-w64-mingw32
else else
HOST=x86_64-w64-mingw32 HOST=x86_64-w64-mingw32

View File

@ -18,7 +18,7 @@ files:
script: | script: |
export FAKETIME=$REFERENCE_DATETIME export FAKETIME=$REFERENCE_DATETIME
export TZ=UTC export TZ=UTC
if [ "$GBUILD_BITS" == "32" ]; then if [ "x$GBUILD_BITS" = "x32" ]; then
ARCH='i386-linux-gnu' ARCH='i386-linux-gnu'
else else
ARCH='x86_64-linux-gnu' ARCH='x86_64-linux-gnu'
@ -74,7 +74,7 @@ script: |
#endif #endif
' > $QCONFIG ' > $QCONFIG
if [ "$GBUILD_BITS" == "32" ]; then if [ "x$GBUILD_BITS" = "x32" ]; then
echo ' echo '
/* Machine byte-order */ /* Machine byte-order */
#define Q_BIG_ENDIAN 4321 #define Q_BIG_ENDIAN 4321

View File

@ -38,7 +38,7 @@ script: |
INSTALLPREFIX=$HOME/staging${BITS} INSTALLPREFIX=$HOME/staging${BITS}
BUILDDIR=$HOME/build${BITS} BUILDDIR=$HOME/build${BITS}
DEPSDIR=$HOME/deps${BITS} DEPSDIR=$HOME/deps${BITS}
if [ "$BITS" == "32" ]; then if [ "x$BITS" = "x32" ]; then
HOST=i686-w64-mingw32 HOST=i686-w64-mingw32
else else
HOST=x86_64-w64-mingw32 HOST=x86_64-w64-mingw32

View File

@ -34,12 +34,12 @@ if test -z $with_gui && test -n "@no_qt@"; then
with_gui=no with_gui=no
fi fi
if test @host_os@ == darwin; then if test x@host_os@ = xdarwin; then
BREW=no BREW=no
PORT=no PORT=no
fi fi
if test @host_os@ == mingw32; then if test x@host_os@ = xmingw32; then
if test -z $with_qt_incdir; then if test -z $with_qt_incdir; then
with_qt_incdir=$prefix/include with_qt_incdir=$prefix/include
fi fi

View File

@ -14,7 +14,7 @@ if [ $# -eq 0 ]; then
exit 0 exit 0
fi fi
if [ $1 == "-STOP" ]; then if [ $1 = "-STOP" ]; then
if [ -s ${PIDFILE} ]; then if [ -s ${PIDFILE} ]; then
kill -s ${SIGNAL} $(<${PIDFILE}) kill -s ${SIGNAL} $(<${PIDFILE})
fi fi

View File

@ -149,7 +149,7 @@ echo "Creating transactions..."
function S { function S {
TXID=$( $CLI -datadir=${D}/node${1} sendtoaddress ${2} "${3}" 0 ) TXID=$( $CLI -datadir=${D}/node${1} sendtoaddress ${2} "${3}" 0 )
if [[ $TXID == "" ]] ; then if [ x$TXID = x ] ; then
echoerr "node${1}: error sending ${3} btc" echoerr "node${1}: error sending ${3} btc"
echo -n "node${1} balance: " echo -n "node${1} balance: "
$CLI -datadir=${D}/node${1} getbalance "*" 0 $CLI -datadir=${D}/node${1} getbalance "*" 0